Bug 6815 - Опции коммандной строки не перекрывают опции конфигурационного файла
: Опции коммандной строки не перекрывают опции конфигурационного файла
Status: CLOSED FIXED
: ALT Linux 2.4
(All bugs in ALT Linux 2.4/apt)
: 2.4
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-05-11 17:19 by
Modified: 2005-08-10 15:41 (History)


Attachments
apt-0.5.15cnc6-cmdline-override-config-options.patch (3.50 KB, patch)
2005-05-11 17:21, Sergey V Turchin
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-05-11 17:19:46
Опции коммандной строки не перекрывают опции конфигурационного файла, поэтому 
все, что в них указано не имеет смысла, если указано в apt.conf
------- Comment #1 From 2005-05-11 17:21:29 -------
Created an attachment (id=873) [details]
apt-0.5.15cnc6-cmdline-override-config-options.patch

fix this problem
------- Comment #2 From 2005-05-11 17:31:37 -------
Причем булевы значения можно перекрывать, как сказано в man 
------- Comment #3 From 2005-05-17 16:22:17 -------
applied in apt-0.5.15cnc6-alt10
------- Comment #4 From 2005-05-18 19:10:58 -------
У этого патча есть побочный эффект:
Dir::Etc::parts и Dir::Etc::main будет невозможно передать из коммандной строки.
Мы готовы пойти на эту жертву?
------- Comment #5 From 2005-05-18 20:49:00 -------
Предположу, что Dir::Etc переопределить удаётся.
Тогда жертва необременительна.
------- Comment #6 From 2005-05-18 21:16:48 -------
Ну, hasher использует APT_CONFIG, так что ему всё равно.
Ok, выкладываю -alt11 с приложенным патчем.
------- Comment #7 From 2005-05-19 11:04:17 -------
(In reply to comment #4) 
> Dir::Etc::parts и Dir::Etc::main будет невозможно передать из коммандной 
А можно 2 раза CmdL.Parse до и после pkgInitConfig :-)